import { ResourcePrimaryKey } from '../types/Resource';
import { BaseResource } from '../types/Resource';
export declare const getPk: (resource: Required<ResourcePrimaryKey>) => Pick<Required<ResourcePrimaryKey>, "pk" | "sk">;
export declare const createResourceHelper: ({ db }: {
    db: {
        get: <Data extends Required<ResourcePrimaryKey>>(query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.GetItemInput, "Key" | "AttributesToGet" | "ConsistentRead" | "ReturnConsumedCapacity" | "ProjectionExpression" | "ExpressionAttributeNames">) => Promise<Data>;
        put: <Data_1 extends Required<ResourcePrimaryKey>>(query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.PutItemInput, "ReturnConsumedCapacity" | "ExpressionAttributeNames" | "Item" | "Expected" | "ReturnValues" | "ReturnItemCollectionMetrics" | "ConditionalOperator" | "ConditionExpression" | "ExpressionAttributeValues">) => Promise<Data_1>;
        update: <Data_2 extends Required<ResourcePrimaryKey>>(query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.UpdateItemInput, "Key" | "ReturnConsumedCapacity" | "ExpressionAttributeNames" | "Expected" | "ReturnValues" | "ReturnItemCollectionMetrics" | "ConditionalOperator" | "ConditionExpression" | "ExpressionAttributeValues" | "AttributeUpdates" | "UpdateExpression">) => Promise<Data_2>;
        query: <Data_3 extends Required<ResourcePrimaryKey>>(query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.QueryInput, "Select" | "AttributesToGet" | "ConsistentRead" | "ReturnConsumedCapacity" | "ProjectionExpression" | "ExpressionAttributeNames" | "ConditionalOperator" | "ExpressionAttributeValues" | "IndexName" | "Limit" | "KeyConditions" | "QueryFilter" | "ScanIndexForward" | "ExclusiveStartKey" | "FilterExpression" | "KeyConditionExpression">) => Promise<import("../types/Resource").ResourceList<Data_3>>;
        scan: <Data_4 extends Required<ResourcePrimaryKey>>(query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.ScanInput, "Select" | "AttributesToGet" | "ConsistentRead" | "ReturnConsumedCapacity" | "ProjectionExpression" | "ExpressionAttributeNames" | "ConditionalOperator" | "ExpressionAttributeValues" | "IndexName" | "Limit" | "ExclusiveStartKey" | "FilterExpression" | "ScanFilter" | "TotalSegments" | "Segment">) => Promise<Data_4[]>;
        delete: (query: Pick<import("aws-sdk/clients/dynamodb").DocumentClient.DeleteItemInput, "Key" | "ReturnConsumedCapacity" | "ExpressionAttributeNames" | "Expected" | "ReturnValues" | "ReturnItemCollectionMetrics" | "ConditionalOperator" | "ConditionExpression" | "ExpressionAttributeValues">) => Promise<import("aws-sdk/lib/request").PromiseResult<import("aws-sdk/clients/dynamodb").DocumentClient.DeleteItemOutput, import("aws-sdk").AWSError>>;
    };
}) => {
    save: <Data_5 extends BaseResource>({ isNew, item }: {
        isNew?: boolean | undefined;
        item: Data_5;
    }) => Promise<number>;
    get: <Data_6 extends BaseResource>(key: ResourcePrimaryKey) => Promise<Data_6>;
    update: <Data_7 extends BaseResource>({ pk, key, value }: {
        pk: ResourcePrimaryKey;
        key: keyof Data_7;
        value: any;
    }) => Promise<Data_7>;
    updateList: <Data_8 extends BaseResource, SubData extends {}>({ pk, key, items }: {
        pk: ResourcePrimaryKey;
        key: keyof Data_8;
        items: SubData[];
    }) => Promise<Data_8>;
    delete: ({ pk }: {
        pk: ResourcePrimaryKey;
    }) => Promise<void>;
};
