import { DocumentClient } from 'aws-sdk/clients/dynamodb';
import { ResourceList, ResourcePrimaryKey } from '../types/Resource';
declare type WithDefaults<I> = Omit<I, 'TableName'>;
export declare const dbClient: (docDB: DocumentClient, tableName: string) => {
    get: <Data extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.GetItemInput>) => Promise<Data>;
    put: <Data_1 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.PutItemInput>, isNew?: boolean | undefined) => Promise<Data_1>;
    update: <Data_2 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.UpdateItemInput>) => Promise<Data_2>;
    query: <Data_3 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.QueryInput>) => Promise<ResourceList<Data_3>>;
    scan: <Data_4 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.ScanInput>) => Promise<ResourceList<Data_4>>;
    delete: (query: WithDefaults<DocumentClient.DeleteItemInput>) => Promise<import("aws-sdk/lib/request").PromiseResult<DocumentClient.DeleteItemOutput, import("aws-sdk").AWSError>>;
};
export declare const testDB: {
    get: <Data extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.GetItemInput>) => Promise<Data>;
    put: <Data_1 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.PutItemInput>, isNew?: boolean | undefined) => Promise<Data_1>;
    update: <Data_2 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.UpdateItemInput>) => Promise<Data_2>;
    query: <Data_3 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.QueryInput>) => Promise<ResourceList<Data_3>>;
    scan: <Data_4 extends ResourcePrimaryKey>(query: WithDefaults<DocumentClient.ScanInput>) => Promise<ResourceList<Data_4>>;
    delete: (query: WithDefaults<DocumentClient.DeleteItemInput>) => Promise<import("aws-sdk/lib/request").PromiseResult<DocumentClient.DeleteItemOutput, import("aws-sdk").AWSError>>;
};
export {};
