"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLambdaWrap = void 0;
const response_1 = require("./response");
const log_1 = require("./log");
const getUser_1 = require("./getUser");
exports.createLambdaWrap = (isOnline) => (params, fn) => async (event) => {
    try {
        let e = {
            event,
            params: event.pathParameters,
            body: event.body && JSON.parse(event.body),
            query: event.queryStringParameters
        };
        if (params && params.auth)
            e.user = getUser_1.getUser(isOnline)(event);
        log_1.out.info({ e });
        const data = await fn(e);
        log_1.out.info({ data });
        if (!data)
            return response_1.response(response_1.SUCCESS_NO_CONTENT_204);
        return response_1.response(response_1.SUCCESS_200(data));
    }
    catch (error) {
        log_1.out.info({ error });
        if (error.statusCode && error.statusCode < 500)
            return error;
        throw new Error('Internal server error');
    }
};
