"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.out = void 0;
const winston_1 = __importStar(require("winston"));
const { printf, combine, timestamp, prettyPrint, ms, colorize } = winston_1.format;
const myFormat = printf(({ level, message, timestamp, ms }) => {
    const msgIsObject = message !== null && typeof message === 'object';
    return `${timestamp} ${ms} ${level}:

${msgIsObject ? JSON.stringify(message, null, 2) : message}
`;
});
exports.out = winston_1.default.createLogger({
    level: process.env.LOG_LEVEL || 'info',
    silent: process.env.LOG_SILENT === 'true',
    transports: [new winston_1.default.transports.Console()],
    format: combine(timestamp(), prettyPrint(), ms(), colorize({ colors: { info: 'blue' } }), colorize({ colors: { error: 'red' } }), colorize({ colors: { warn: 'yellow' } }), myFormat),
    exceptionHandlers: [new winston_1.default.transports.Console()]
});
