"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NOT_FOUND_404 = exports.UNAUTHORIZED_401 = exports.BAD_REQUEST_400 = exports.SUCCESS_NO_CONTENT_204 = exports.SUCCESS_200 = exports.response = void 0;
const log_1 = require("./log");
const util_1 = require("util");
exports.response = ({ statusCode, body, headers }) => {
    const log = { statusCode, body };
    statusCode < 400 ? log_1.out.info(log) : log_1.out.error(log);
    return {
        statusCode,
        body: util_1.isString(body) ? body : JSON.stringify(body),
        headers: {
            'Access-Control-Allow-Origin': '*',
            'Content-Type': 'application/json',
            ...headers
        }
    };
};
exports.SUCCESS_200 = (body) => ({ statusCode: 200, body });
exports.SUCCESS_NO_CONTENT_204 = { statusCode: 204 };
exports.BAD_REQUEST_400 = (error) => ({ statusCode: 400, body: error });
exports.UNAUTHORIZED_401 = { statusCode: 401, body: 'Unauthorized' };
exports.NOT_FOUND_404 = { statusCode: 404, body: 'Resource not found' };
