"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamMap = exports.resourceTypeFilter = exports.eventNameFilter = void 0;
const log_1 = require("./log");
exports.eventNameFilter = (eventName) => (r) => r.eventName === eventName && r.dynamodb ? true : false;
exports.resourceTypeFilter = (resourceType) => (r) => r.dynamodb && r.dynamodb.NewImage && r.dynamodb.NewImage.resourceType.S === resourceType
    ? true
    : r.dynamodb && r.dynamodb.OldImage && r.dynamodb.OldImage.resourceType.S === resourceType
        ? true
        : false;
exports.streamMap = (mapFn) => async (rs) => {
    await Promise.all(rs.map(async (r) => mapFn(r).catch(log_1.out.error)));
    log_1.out.info(`Processed ${rs.length} items`);
    return rs;
};
