"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unmarshallRecords = void 0;
const dynamodb_1 = require("aws-sdk/clients/dynamodb");
const log_1 = require("./log");
exports.unmarshallRecords = (records) => records.map(r => {
    if (!r.dynamodb)
        throw new Error('Invalid record');
    const newRecord = r.dynamodb.NewImage && dynamodb_1.Converter.unmarshall(r.dynamodb.NewImage);
    const oldRecord = r.dynamodb.OldImage && dynamodb_1.Converter.unmarshall(r.dynamodb.OldImage);
    const records = { newRecord, oldRecord };
    log_1.out.info({ records });
    return records;
});
